// tailwind.config.js
import defaultTheme from 'tailwindcss/defaultTheme.js';

/** @type {import('tailwindcss').Config} */
export default {
    content: [
        './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
        './storage/framework/views/*.php',

        // Vistas y componentes del proyecto
        './resources/**/*.{js,ts,jsx,tsx,vue,blade.php}',

        // Assets compartidos del core (opcional si los usas con clases utilitarias Tailwind)
        './resources/assets/js/**/*.js',

        // Assets y vistas de todos los módulos Koneko (componentes y layouts)
        './vendor/koneko/**/resources/views/**/*.blade.php',
        './vendor/koneko/**/resources/assets/js/**/*.js',
        './vendor/koneko/**/resources/assets/scss/**/*.scss',
        './vendor/koneko/**/resources/assets/css/**/*.css',
        './vendor/koneko/**/resources/assets/vue/**/*.vue',

        // Evitar escaneo profundo en node_modules dentro de vendor (si hubiera)
        '!./vendor/koneko/**/node_modules/**/*',
    ],
    theme: {
        extend: {
            fontFamily: {
                sans: ['Figtree', ...defaultTheme.fontFamily.sans],
            },
        },
    },
    plugins: [],
};
